%define tarname  Convert-ASN1
%define rel_docs README ChangeLog examples

Summary: Convert-ASN1 module for perl
Name: perl-%{tarname}
Version: 0.18
Release: 1.rh.el.um.1
Copyright: distributable, see Description
Group: Development/Languages/Perl
Source0: http://www.cpan.org/modules/by-module/Convert/%{tarname}-%{version}.tar.gz
Url: http://www.cpan.org/modules/by-module/Convert/%{tarname}-%{version}.readme
BuildRoot: /var/tmp/%{name}-buildroot/
Requires: perl
BuildPreReq: perl
Packager: Werner Bosse <wbosse@berlin.snafu.de>
Buildarch: noarch

%description
Convert::ASN1 will parse ASN.1 descriptions and will encode from and decode to
perl data structures using a hierarchy of references.

Copyright (c) 2000 Graham Barr. All rights reserved. This package is free
software; you can redistribute it and/or modify it under the same terms as Perl
itself.

%prep
%setup -q -n %{tarname}-%{version}

%build
eval `perl -V:prefix`
perl Makefile.PL -- -- CCFLAGS="${RPM_OPT_FLAGS}" \
	"PREFIX=$RPM_BUILD_ROOT/$prefix"
make test

%clean 
rm -rf "$RPM_BUILD_DIR/%{tarname}-%{version}"
rm -rf "$RPM_BUILD_ROOT"


%install
# These eval statements used to be one line, but
# that doesn't appear to work on Red Hat 9
eval `perl -V:installsitelib`
eval `perl -V:installsitearch`
eval `perl -V:man3dir`
rm -rf "$RPM_BUILD_ROOT"
make install
rm -rf "$RPM_BUILD_ROOT/${installsitearch}/"
echo "${installsitelib}/Convert" > filelist
echo "${man3dir}/*" >> filelist

%files -f filelist
%defattr(-,root,root)
%%doc %{rel_docs}

%changelog
* Thu Jan 27 2005 Horms <horms@verge.net.au> (0.18-1.rh.el.um.1)
- Updated for 0.18

* Tue Mar 18 2003 Horms <horms@verge.net.au>
- Updated for 0.16
- Updated packaging to work with rpm 4.1

* Tue Jul 30 2002 Horms <horms@verge.net.au>
- Updated for 0.15

* Mon Aug 28 2000 Werner Bosse <wbosse@berlin.snafu.de>
- packlist droped from distribution (arch specific path in
  otherwise arch independent package)

* Sun Aug 27 2000 Werner Bosse <wbosse@berlin.snafu.de>
- initial spec file
